
From: Muli Ben-Yehuda <mulix@mulix.org>

It's missing a spin_unlock() on the non-error path.


 sound/oss/trident.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN sound/oss/trident.c~trident-spin_unlock-fix sound/oss/trident.c
--- 25/sound/oss/trident.c~trident-spin_unlock-fix	2003-08-09 16:04:15.000000000 -0700
+++ 25-akpm/sound/oss/trident.c	2003-08-09 16:04:15.000000000 -0700
@@ -3015,9 +3015,9 @@ static u16 ali_ac97_get(struct trident_c
 		}
 		udelay(10);
 	}
-	
+
 	data = inl(TRID_REG(card, address));
-	
+	spin_unlock_irqrestore(&card->lock, flags);
 	return ((u16) (data >> 16));
 
  releasecodec: 

_
